@model IEnumerable<FERZid.Models.Servis>

@{
    ViewData["Title"] = "Popis servisa";
}

<h2>Popis servisa</h2>
<hr />
<a style="margin-bottom:20px" class="btn btn-success btn" asp-action="Create" title="Dodaj"><span class="glyphicon glyphicon-plus"></span> Dodaj servis</a>
<br />
<table class="table table-striped" id="tableServisi">
    <thead>
        <tr>
                <th>
                    Uredaj
                </th>
                <th>
                    Vrsta servisa
                </th>
                <th>
                    Pocetak
                </th>
                <th>
                    Zavrsetak
                </th>
                <th>
                    Status servisa
                </th>
                <th></th>
        </tr>
    </thead>
    <tbody>
@foreach (var item in Model) {
        <tr>
            <td>
                @Html.DisplayFor(modelItem => item.IduredajaNavigation.ImeUredaja)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IdvrsteNavigation.Naziv)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Pocetak)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.Zavrsetak)
            </td>
            <td>
                @Html.DisplayFor(modelItem => item.IdstatusaNavigation.Naziv)
            </td>
            <td>
                <div class="text-center">
                <a asp-action="Details"
                   asp-route-id="@item.Idservisa"
                   class="btn btn-success btn-xs" title="Detalji"><span class="glyphicon glyphicon-list-alt"></span></a>
                <a asp-action="Edit"
                   asp-route-id="@item.Idservisa"
                   class="btn btn-warning btn-xs" title="Azuriraj"><span class="glyphicon glyphicon-pencil"></span></a>
                <a asp-action="Delete"
                   asp-route-id="@item.Idservisa"
                   class="btn btn-danger btn-xs" title="Obrisi"><span class="glyphicon glyphicon-remove"></span></a>
                </div>
            </td>
            
        </tr>
}
    </tbody>
</table>

@section styles {
    <link rel="stylesheet" href="https://cdn.datatables.net/1.10.13/css/jquery.dataTables.min.css" />
}

@section scripts {
    <script src="https://cdn.datatables.net/1.10.13/js/jquery.dataTables.min.js"></script>
    <script>
        $(document).ready(function () {
            $('#tableServisi').DataTable();
        });
    </script>
}
